Bug 228048 - [MAINTAINER] dns/libidn: Update to 1.34
Summary: [MAINTAINER] dns/libidn: Update to 1.34
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-07 18:12 UTC by Hung-Yi Chen
Modified: 2019-04-02 03:36 UTC (History)
3 users (show)

See Also:


Attachments
dns_libidn.patch (824 bytes, patch)
2018-05-07 18:12 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2018-05-07 18:12:00 UTC
Created attachment 193154 [details]
dns_libidn.patch

* Update to 1.34.
Comment 1 Yuri Victorovich freebsd_committer 2018-05-08 05:04:23 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2018-05-08 05:05:12 UTC
A commit references this bug:

Author: yuri
Date: Tue May  8 05:04:16 UTC 2018
New revision: 469353
URL: https://svnweb.freebsd.org/changeset/ports/469353

Log:
  dns/libidn: Update 1.33 -> 1.34

  Also change to DISTVERSION.

  PR:		228048
  Approved by:	Hung-Yi Chen <gaod@hychen.org> (maintainer)

Changes:
  head/dns/libidn/Makefile
  head/dns/libidn/distinfo
  head/dns/libidn/pkg-plist
Comment 3 Philip Kizer 2018-05-18 05:10:54 UTC
Just like the comments on the redhat site at:

https://bugzilla.redhat.com/show_bug.cgi?id=1573961

This patch breaks jabberd (host and domain names made generic, see the "cannot stringprep" part):

May 17 23:37:39 <19.5> host jabberd/c2s[67979]: initialized auth module 'ldap'
May 17 23:37:39 <19.5> host jabberd/c2s[67979]: starting up
May 17 23:37:39 <19.3> host jabberd/c2s[67979]: cannot stringprep id example.tld, aborting
May 17 23:37:39 <19.5> host jabberd/router[67975]: [127.0.0.1, port=11004] authenticated as jabberd@jabberd-router
May 17 23:37:39 <19.5> host jabberd/sm[67976]: connection to router established
May 17 23:37:39 <19.5> host jabberd/router[67975]: [example.tld] online (bound to 127.0.0.1, port 11004)
May 17 23:37:39 <19.5> host jabberd/router[67975]: shutting down

Reverting back to the previous 1.33_1 version corrects the problem:

May 10 23:58:13 <1.5> host pkg: libidn upgraded: 1.33_1 -> 1.34
May 17 23:51:31 <1.5> host pkg-static: libidn-1.34 deinstalled
May 17 23:54:10 <1.5> host pkg-static: libidn-1.33 installed

May 17 23:57:06 <19.5> host jabberd/c2s[99208]: initialized auth module 'ldap'
May 17 23:57:06 <19.5> host jabberd/c2s[99208]: starting up
May 17 23:57:06 <19.5> host jabberd/c2s[99208]: [example.tld] configured; realm=example.tld, authreg=ldap, registration disabled, using PEM:/usr/local/etc/letsencrypt/live/example.tld/keycert.pem
May 17 23:57:06 <19.5> host jabberd/c2s[99208]: attempting connection to router at 127.0.0.1, port=5347
May 17 23:57:06 <19.5> host jabberd/c2s[99208]: connection to router established
May 17 23:57:06 <19.5> host jabberd/c2s[99208]: [0.0.0.0, port=5222] listening for connections
May 17 23:57:06 <19.5> host jabberd/c2s[99208]: [0.0.0.0, port=5223] listening for SSL connections
May 17 23:57:06 <19.5> host jabberd/c2s[99208]: ready for connections

Looks like they reverted back to some of the code before 1.34 for their correction.
Comment 4 Yuri Victorovich freebsd_committer 2018-05-18 05:21:50 UTC
https://github.com/jabberd2/jabberd2/issues/178
Comment 5 Alexey Dokuchaev freebsd_committer 2019-04-01 09:49:01 UTC
FYI: version 1.35 was released on 11 May 2018 (few days after ports r469353 was committed).
Comment 6 Yuri Victorovich freebsd_committer 2019-04-02 03:36:14 UTC
Update to 1.35 committed.
Comment 7 commit-hook freebsd_committer 2019-04-02 03:36:36 UTC
A commit references this bug:

Author: yuri
Date: Tue Apr  2 03:36:04 UTC 2019
New revision: 497546
URL: https://svnweb.freebsd.org/changeset/ports/497546

Log:
  dns/libidn: Update to 1.35

  Bump 48 ports.
  Previous update to 1.34 broke jabberd.

  PR:		228048

Changes:
  head/devel/monotone/Makefile
  head/dns/getdns/Makefile
  head/dns/hesiod/Makefile
  head/dns/hs-gnuidn/Makefile
  head/dns/libidn/Makefile
  head/dns/libidn/distinfo
  head/dns/libidn/pkg-plist
  head/dns/libpsl/Makefile
  head/dns/p5-Net-LibIDN/Makefile
  head/dns/rubygem-idn-ruby/Makefile
  head/ftp/filezilla/Makefile
  head/graphics/podofo/Makefile
  head/japanese/mutt-devel/Makefile
  head/mail/cone/Makefile
  head/mail/courier/Makefile
  head/mail/courier-imap/Makefile
  head/mail/exim/Makefile
  head/mail/gmime30/Makefile
  head/mail/maildrop/Makefile
  head/mail/neomutt/Makefile
  head/multimedia/kodi/Makefile
  head/multimedia/vlc/Makefile
  head/net/echoping/Makefile
  head/net/freediameter/Makefile
  head/net/freeradius3/Makefile
  head/net/jwhois/Makefile
  head/net-im/gloox/Makefile
  head/net-im/jabberd/Makefile
  head/net-im/jggtrans/Makefile
  head/net-im/kopete/Makefile
  head/net-im/libpurple/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/loudmouth/Makefile
  head/net-im/mcabber/Makefile
  head/net-im/mu-conference/Makefile
  head/net-im/prosody/Makefile
  head/net-im/psi/Makefile
  head/net-im/py-slixmpp/Makefile
  head/net-im/telepathy-haze/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/polish/kadu/Makefile
  head/print/ghostscript9-agpl-base/Makefile
  head/print/ghostscript9-base/Makefile
  head/security/gsasl/Makefile
  head/security/hydra/Makefile
  head/security/shishi/Makefile
  head/textproc/html-xml-utils/Makefile
  head/www/elinks/Makefile
  head/www/lynx/Makefile
  head/www/lynx-current/Makefile